<!--
  Generated template for the SignupPage page.

  See http://ionicframework.com/docs/components/#navigation for more info on
  Ionic pages and navigation.
-->
<ion-header>
  <ion-navbar>
    <ion-title>signup</ion-title>
  </ion-navbar>
</ion-header>

<ion-content padding>
  <form [formGroup]="formGroup" (ngSubmit)="signupUser()">
    <ion-item>
      <ion-label stacked>Nome*</ion-label>
      <ion-input formControlName="nome" type="text"></ion-input>
    </ion-item>
    <p class="danger" *ngIf="formGroup.controls.nome.dirty && formGroup.controls.nome.errors" margin-left>Valor inválido</p>
    <ion-item>
      <ion-label stacked>Email*</ion-label>
      <ion-input formControlName="email" type="text"></ion-input>
    </ion-item>
    <p class="danger" *ngIf="formGroup.controls.email.dirty && formGroup.controls.email.errors" margin-left>Valor inválido</p>
    <ion-list radio-group formControlName="tipo">
      <ion-list-header>
        Tipo de cliente
      </ion-list-header>
      <ion-item>
        <ion-label>Pessoa física</ion-label>
        <ion-radio checked="true" value="1"></ion-radio>
      </ion-item>
      <ion-item>
        <ion-label>Pessoa jurídica</ion-label>
        <ion-radio value="2"></ion-radio>
      </ion-item>
    </ion-list>

    <ion-item>
      <ion-label stacked>CPF ou CNPJ</ion-label>
      <ion-input formControlName="cpfOuCnpj" type="text"></ion-input>
    </ion-item>
    <p class="danger" *ngIf="formGroup.controls.cpfOuCnpj.dirty && formGroup.controls.cpfOuCnpj.errors" margin-left>Valor inválido</p>
    <ion-item>
      <ion-label stacked>Senha*</ion-label>
      <ion-input formControlName="senha" type="password"></ion-input>
    </ion-item>
    <p class="danger" *ngIf="formGroup.controls.senha.dirty && formGroup.controls.senha.errors" margin-left>Valor inválido</p>
    <ion-item>
      <ion-label stacked>Logradouro*</ion-label>
      <ion-input formControlName="logradouro" type="text"></ion-input>
    </ion-item>
    <p class="danger" *ngIf="formGroup.controls.logradouro.dirty && formGroup.controls.logradouro.errors" margin-left>Valor inválido</p>
    <ion-item>
      <ion-label stacked>Número*</ion-label>
      <ion-input formControlName="numero" type="text"></ion-input>
    </ion-item>
    <p class="danger" *ngIf="formGroup.controls.numero.dirty && formGroup.controls.numero.errors" margin-left>Valor inválido</p>
    <ion-item>
      <ion-label stacked>Complemento</ion-label>
      <ion-input formControlName="complemento" type="text"></ion-input>
    </ion-item>
    <ion-item>
      <ion-label stacked>Bairro</ion-label>
      <ion-input formControlName="bairro" type="text"></ion-input>
    </ion-item>
    <ion-item>
      <ion-label stacked>CEP*</ion-label>
      <ion-input formControlName="cep" type="text"></ion-input>
    </ion-item>
    <p class="danger" *ngIf="formGroup.controls.cep.dirty && formGroup.controls.cep.errors" margin-left>Valor inválido</p>
    <ion-item>
      <ion-label stacked>Telefone 1*</ion-label>
      <ion-input formControlName="telefone1" type="text"></ion-input>
    </ion-item>
    <p class="danger" class="danger" *ngIf="formGroup.controls.telefone1.dirty && formGroup.controls.telefone1.errors" margin-left>Valor inválido</p>
    <ion-item>
      <ion-label stacked>Telefone 2</ion-label>
      <ion-input formControlName="telefone2" type="text"></ion-input>
    </ion-item>
    <ion-item>
      <ion-label stacked>Telefone 3</ion-label>
      <ion-input formControlName="telefone3" type="text"></ion-input>
    </ion-item>
    <ion-item>
      <ion-label stacked>Estado*</ion-label>
      <ion-select formControlName="estadoId" (ionChange)="updateCidades()">
        <ion-option *ngFor="let estado of estados; first as f" [value]="estado.id" [selected]="f">{{estado.nome}}</ion-option>
      </ion-select>
    </ion-item>
    <p class="danger" *ngIf="formGroup.controls.estadoId.dirty && formGroup.controls.estadoId.errors" margin-left>Valor inválido</p>
    <ion-item>
      <ion-label stacked>Cidade*</ion-label>
      <ion-select formControlName="cidadeId">
        <ion-option *ngFor="let cidade of cidades" [value]="cidade.id">{{cidade.nome}}</ion-option>
      </ion-select>
    </ion-item>
    <button ion-button block type="submit" [disabled]="formGroup.invalid">Criar conta</button>
  </form>
</ion-content>
